
Sub main ()
' main routine to create a test report using random data

'----------------------------------------
' CREATE A NEW REPORT
'----------------------------------------
r% = RptCreate("Test Report", 6, 1, 45, 5, 0, "US$ Warrants", "Technically Cheap Warrants", "A minor footnote", "Plus The Company Name")

' DEFINE COLUMNS
RptDefineColumn r%, 1, "9", "Quick Code", 800, 1, "####", -1
RptDefineColumn r%, 2, "A", "Name", 2400, 0, "", -1
RptDefineColumn r%, 3, "9", "Premium", 800, 2, "####.###", 0
RptDefineColumn r%, 4, "9", "Gearing", 800, 2, "####.#", -1
RptDefineColumn r%, 5, "9", "In The Money (%)", 1000, 2, "#,###.##\%", 0
RptDefineColumn r%, 6, "9", "Share Move to Double Warrant", 1200, 2, "#,###.###\%", -1
RptDefineColumn r%, 7, "9", "Warrant Price", 1500, 1, "$####.##\%;(####.##)", -1

'-------------------------------------------
' POPULATE WITH VALUES
'-------------------------------------------

RptSetText r%, 2, 1, "CANNON #1"
RptSetText r%, 2, 2, "C.ITOH #3"
RptSetText r%, 2, 3, "C.ITOH #4"
RptSetText r%, 2, 4, "C.ITOH #5"
RptSetText r%, 2, 5, "NIPPON LIGHT METAL"
RptSetText r%, 2, 6, "HITACHI #1"
RptSetText r%, 2, 7, "SANYO"
RptSetText r%, 2, 8, "SANKYO ALUMINIUM #3"
RptSetText r%, 2, 9, "MITSUBISHI M+F"
RptSetText r%, 2, 10, "TOYOTA #5"
RptSetText r%, 2, 11, "YASUDA"
RptSetText r%, 2, 12, "CANNON #2"
RptSetText r%, 2, 13, "KINKI NIPPON"
RptSetText r%, 2, 14, "ALL NIPPON AIRWAYS"
RptSetText r%, 2, 15, "AICHI ELECTRIC"
RptSetText r%, 2, 16, "ASAHI BREWERIES"
RptSetText r%, 2, 17, "ASAHI GLASS #3"
RptSetText r%, 2, 18, "ASAHI GLASS #4"
RptSetText r%, 2, 19, "ASAHI GLASS #5"
RptSetText r%, 2, 20, "NAGOYA RAILROAD"
RptSetText r%, 2, 21, "MR MAX"
RptSetText r%, 2, 22, "MITSUIBISHI PLASTICS"
RptSetText r%, 2, 23, "SAPPORO BREWERIES"
RptSetText r%, 2, 24, "SEIYO FOOD #2"
RptSetText r%, 2, 25, "SHINKO WIRE"
RptSetText r%, 2, 26, "TOKYO TEKKO"
RptSetText r%, 2, 27, "TOPY #2"
RptSetText r%, 2, 28, "TOPY #3"
RptSetText r%, 2, 29, "TOSHIBA CERAMICS #1"
RptSetText r%, 2, 30, "TOSHIBA CERAMICS #2"
RptSetText r%, 2, 31, "TOHO RAYON"
RptSetText r%, 2, 32, "TOSHIBA"
RptSetText r%, 2, 33, "TOWA REAL ESTATE #2"
RptSetText r%, 2, 34, "TOWA REAL ESTATE #3"
RptSetText r%, 2, 35, "TOSOH CORP"
RptSetText r%, 2, 36, "MEITEC #1"
RptSetText r%, 2, 37, "MIKASA COCA COLA"
RptSetText r%, 2, 38, "MARUI"
RptSetText r%, 2, 39, "KOMATSU #1"
RptSetText r%, 2, 40, "KOMATSU #2"
RptSetText r%, 2, 41, "KYOCERA"
RptSetText r%, 2, 42, "LION CORP"
RptSetText r%, 2, 43, "JOSHIN DENKI #2"
RptSetText r%, 2, 44, "JOSHIN DENKI #3"
RptSetText r%, 2, 45, "KAWASAKI STEEL"

For x% = 1 To 7
    If x% <> 2 Then
	For y% = 1 To 45
	    RptSetValue r%, x%, y%, (Rnd * 100) - 50
	Next
    End If
Next

RptNewPage r%, 1
End Sub

